searchNodes=[{"doc":"","ref":"Observer.html","title":"Observer","type":"module"},{"doc":"","ref":"Observer.html#create_from/3","title":"Observer.create_from/3","type":"function"},{"doc":"Creates observer structs for commonly-used locations, big cities, etc. These are mostly to make it easier for users that are manually typing in commands but could eventually be built into something more generically useful. Examples iex&gt; Observer.KnownLocations.seattle","ref":"Observer.KnownLocations.html","title":"Observer.KnownLocations","type":"module"},{"doc":"","ref":"Observer.KnownLocations.html#london/0","title":"Observer.KnownLocations.london/0","type":"function"},{"doc":"","ref":"Observer.KnownLocations.html#seattle/0","title":"Observer.KnownLocations.seattle/0","type":"function"},{"doc":"","ref":"Satellite.html","title":"Satellite","type":"module"},{"doc":"","ref":"Satellite.html#current_position/2","title":"Satellite.current_position/2","type":"function"},{"doc":"","ref":"Satellite.html#find_iss_passes/3","title":"Satellite.find_iss_passes/3","type":"function"},{"doc":"","ref":"Satellite.html#find_next_iss_pass/2","title":"Satellite.find_next_iss_pass/2","type":"function"},{"doc":"","ref":"Satellite.html#find_next_iss_pass_for_seattle/0","title":"Satellite.find_next_iss_pass_for_seattle/0","type":"function"},{"doc":"","ref":"Satellite.html#list_passes/4","title":"Satellite.list_passes/4","type":"function"},{"doc":"","ref":"Satellite.html#list_passes_until/4","title":"Satellite.list_passes_until/4","type":"function"},{"doc":"","ref":"Satellite.html#locate_current_iss_position_for_seattle/0","title":"Satellite.locate_current_iss_position_for_seattle/0","type":"function"},{"doc":"","ref":"Satellite.html#next_pass/3","title":"Satellite.next_pass/3","type":"function"},{"doc":"","ref":"Satellite.Application.html","title":"Satellite.Application","type":"module"},{"doc":"Callback implementation for Application.start/2.","ref":"Satellite.Application.html#start/2","title":"Satellite.Application.start/2","type":"function"},{"doc":"","ref":"Satellite.Constants.html","title":"Satellite.Constants","type":"module"},{"doc":"","ref":"Satellite.Constants.html#astronomical_unit/0","title":"Satellite.Constants.astronomical_unit/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#deg2rad/0","title":"Satellite.Constants.deg2rad/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#earth_radius_semimajor/0","title":"Satellite.Constants.earth_radius_semimajor/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#earth_radius_semiminor/0","title":"Satellite.Constants.earth_radius_semiminor/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#j2/0","title":"Satellite.Constants.j2/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#j3/0","title":"Satellite.Constants.j3/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#j3oj2/0","title":"Satellite.Constants.j3oj2/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#j4/0","title":"Satellite.Constants.j4/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#minutes_per_day/0","title":"Satellite.Constants.minutes_per_day/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#mu/0","title":"Satellite.Constants.mu/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#pi/0","title":"Satellite.Constants.pi/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#rad2deg/0","title":"Satellite.Constants.rad2deg/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#seconds_per_day/0","title":"Satellite.Constants.seconds_per_day/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#tumin/0","title":"Satellite.Constants.tumin/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#two_pi/0","title":"Satellite.Constants.two_pi/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#x2o3/0","title":"Satellite.Constants.x2o3/0","type":"macro"},{"doc":"","ref":"Satellite.Constants.html#xke/0","title":"Satellite.Constants.xke/0","type":"macro"},{"doc":"","ref":"Satellite.CoordinateTransforms.html","title":"Satellite.CoordinateTransforms","type":"module"},{"doc":"","ref":"Satellite.CoordinateTransforms.html#ecf_to_look_angles/2","title":"Satellite.CoordinateTransforms.ecf_to_look_angles/2","type":"function"},{"doc":"","ref":"Satellite.CoordinateTransforms.html#eci_to_ecf/2","title":"Satellite.CoordinateTransforms.eci_to_ecf/2","type":"function"},{"doc":"","ref":"Satellite.CoordinateTransforms.html#eci_to_geodetic/2","title":"Satellite.CoordinateTransforms.eci_to_geodetic/2","type":"function"},{"doc":"","ref":"Satellite.CoordinateTransforms.html#geodetic_to_ecf/1","title":"Satellite.CoordinateTransforms.geodetic_to_ecf/1","type":"function"},{"doc":"","ref":"Satellite.CoordinateTransforms.html#iterate_latitude/3","title":"Satellite.CoordinateTransforms.iterate_latitude/3","type":"function"},{"doc":"","ref":"Satellite.CoordinateTransforms.html#iteration_params/3","title":"Satellite.CoordinateTransforms.iteration_params/3","type":"function"},{"doc":"","ref":"Satellite.Dates.html","title":"Satellite.Dates","type":"module"},{"doc":"Converts a time represented in epoch time to %{month, day, hour, minute, second} format. This format comes from the two line element(TLE) set format, which provides a reference for all other time-based fields in the data. See the following for a detailed explanation: https://celestrak.com/columns/v04n03/#FAQ02 Examples iex&gt; Satellite.Dates.epoch_time_to_mdhms(131, 349.872256942) %{day: 15, hr: 20, minute: 56, mon: 12, second: 2.9997887981517124}","ref":"Satellite.Dates.html#epoch_time_to_mdhms/2","title":"Satellite.Dates.epoch_time_to_mdhms/2","type":"function"},{"doc":"Converts a gregorian date to julian date Examples iex&gt; Satellite.Dates.jday({{2016, 8, 6}, {17, 35, 12}}) 2457607.2327777776","ref":"Satellite.Dates.html#jday/1","title":"Satellite.Dates.jday/1","type":"function"},{"doc":"Converts a julian date to greenwich mean sidereal time (GMST) Examples iex&gt; jd = Satellite.Dates.jday({{2016, 8, 6}, {17, 35, 12}}) iex&gt; Satellite.Dates.julian_to_gmst(jd) 3.8307254407191067","ref":"Satellite.Dates.html#julian_to_gmst/1","title":"Satellite.Dates.julian_to_gmst/1","type":"function"},{"doc":"Converts a datetime to greenwich mean sidereal time","ref":"Satellite.Dates.html#utc_to_gmst/1","title":"Satellite.Dates.utc_to_gmst/1","type":"function"},{"doc":"","ref":"Satellite.MagnitudeDatabase.html","title":"Satellite.MagnitudeDatabase","type":"module"},{"doc":"Returns a list of all norad_id values Examples iex&gt; {:ok, pid} = Satellite.MagnitudeDatabase.start_link iex&gt; Satellite.MagnitudeDatabase.all_satellites(pid)","ref":"Satellite.MagnitudeDatabase.html#all_satellites/0","title":"Satellite.MagnitudeDatabase.all_satellites/0","type":"function"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"Satellite.MagnitudeDatabase.html#child_spec/1","title":"Satellite.MagnitudeDatabase.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Satellite.MagnitudeDatabase.html#init/1","title":"Satellite.MagnitudeDatabase.init/1","type":"function"},{"doc":"Look up the standard magnitude for the satellite with the given norad_id Returns {:ok, magnitude} if the satellite exists, {:error, &quot;Not Found&quot;} otherwise. Examples iex&gt; {:ok, pid} = Satellite.MagnitudeDatabase.start_link iex&gt; Satellite.MagnitudeDatabase.lookup(pid, 5)","ref":"Satellite.MagnitudeDatabase.html#lookup/1","title":"Satellite.MagnitudeDatabase.lookup/1","type":"function"},{"doc":"Starts the database.","ref":"Satellite.MagnitudeDatabase.html#start_link/0","title":"Satellite.MagnitudeDatabase.start_link/0","type":"function"},{"doc":"","ref":"Satellite.Math.html","title":"Satellite.Math","type":"module"},{"doc":"","ref":"Satellite.Math.html#from_fortran_float/1","title":"Satellite.Math.from_fortran_float/1","type":"function"},{"doc":"","ref":"Satellite.Math.html#mod/2","title":"Satellite.Math.mod/2","type":"function"},{"doc":"","ref":"Satellite.Math.html#string_to_float/1","title":"Satellite.Math.string_to_float/1","type":"function"},{"doc":"Provides a set of algorithms to predict satellite passes over any location on Earth. Examples iss_satrec = Satellite.SatelliteDatabase.lookup(&quot;ISS (ZARYA)&quot;) seattle = Observer.KnownLocations.seattle Satellite.Passes.current_position(iss_satrec, seattle)","ref":"Satellite.Passes.html","title":"Satellite.Passes","type":"module"},{"doc":"","ref":"Satellite.Passes.html#current_position/2","title":"Satellite.Passes.current_position/2","type":"function"},{"doc":"","ref":"Satellite.Passes.html#list_passes/4","title":"Satellite.Passes.list_passes/4","type":"function"},{"doc":"","ref":"Satellite.Passes.html#list_passes_until/4","title":"Satellite.Passes.list_passes_until/4","type":"function"},{"doc":"","ref":"Satellite.Passes.html#next_pass/3","title":"Satellite.Passes.next_pass/3","type":"function"},{"doc":"","ref":"Satellite.SGP4.html","title":"Satellite.SGP4","type":"module"},{"doc":"","ref":"Satellite.SGP4.html#calculate/2","title":"Satellite.SGP4.calculate/2","type":"function"},{"doc":"","ref":"Satellite.SGP4.html#new/2","title":"Satellite.SGP4.new/2","type":"function"},{"doc":"","ref":"Satellite.SGP4.html#propagate/2","title":"Satellite.SGP4.propagate/2","type":"function"},{"doc":"","ref":"Satellite.SGP4.Init.html","title":"Satellite.SGP4.Init","type":"module"},{"doc":"","ref":"Satellite.SGP4.Init.html#init/2","title":"Satellite.SGP4.Init.init/2","type":"function"},{"doc":"","ref":"Satellite.SGP4.Init.html#initl/1","title":"Satellite.SGP4.Init.initl/1","type":"function"},{"doc":"","ref":"Satellite.SGP4.Model.html","title":"Satellite.SGP4.Model","type":"module"},{"doc":"","ref":"Satellite.SGP4.Model.html#calculate/2","title":"Satellite.SGP4.Model.calculate/2","type":"function"},{"doc":"","ref":"Satellite.SGP4.Model.html#propagate/2","title":"Satellite.SGP4.Model.propagate/2","type":"function"},{"doc":"This module serves as a system-wide repository of satellite information. On startup, this genserver looks for locally-cached copies of satellite TLE data, and downloads it from the respective remote data sources (celestrak, amsat, etc) when the local cache does not exist or is stale. The server will periodically attempt to refresh its data.","ref":"Satellite.SatelliteDatabase.html","title":"Satellite.SatelliteDatabase","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"Satellite.SatelliteDatabase.html#child_spec/1","title":"Satellite.SatelliteDatabase.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Satellite.SatelliteDatabase.html#init/1","title":"Satellite.SatelliteDatabase.init/1","type":"function"},{"doc":"","ref":"Satellite.SatelliteDatabase.html#list/0","title":"Satellite.SatelliteDatabase.list/0","type":"function"},{"doc":"","ref":"Satellite.SatelliteDatabase.html#lookup/1","title":"Satellite.SatelliteDatabase.lookup/1","type":"function"},{"doc":"Starts the database.","ref":"Satellite.SatelliteDatabase.html#start_link/0","title":"Satellite.SatelliteDatabase.start_link/0","type":"function"},{"doc":"","ref":"Satellite.TLE.html","title":"Satellite.TLE","type":"module"},{"doc":"","ref":"Satellite.TLE.html#epoch_year/1","title":"Satellite.TLE.epoch_year/1","type":"function"},{"doc":"","ref":"Satellite.TLE.html#parse_line1/1","title":"Satellite.TLE.parse_line1/1","type":"function"},{"doc":"","ref":"Satellite.TLE.html#parse_line2/1","title":"Satellite.TLE.parse_line2/1","type":"function"},{"doc":"","ref":"Satellite.TLE.html#to_satrec/2","title":"Satellite.TLE.to_satrec/2","type":"function"},{"doc":"","ref":"Satrec.html","title":"Satrec","type":"module"},{"doc":"Calculate the position of the sun","ref":"Sun.SunPosition.html","title":"Sun.SunPosition","type":"module"},{"doc":"","ref":"Sun.SunPosition.html#get_position_at/3","title":"Sun.SunPosition.get_position_at/3","type":"function"},{"doc":"This module contains the math for determining whether a satellite is illuminated by the sun.","ref":"Sun.SunlightCalculations.html","title":"Sun.SunlightCalculations","type":"module"},{"doc":"","ref":"Sun.SunlightCalculations.html#calculate_magnitude/6","title":"Sun.SunlightCalculations.calculate_magnitude/6","type":"function"}]